## zerotier-1.10.3.tar.gz

=== Makefile ===
# Common makefile -- loads make rules for each platform

OSTYPE=$(shell uname -s)

ifeq ($(OSTYPE),Darwin)
	include make-mac.mk
endif

ifeq ($(OSTYPE),Linux)
	include make-linux.mk
endif

ifeq ($(OSTYPE),FreeBSD)
	CC=clang
	CXX=clang++
	ZT_BUILD_PLATFORM=7
	include make-bsd.mk
endif
ifeq ($(OSTYPE),OpenBSD)
	CC=clang
	CXX=clang++
	ZT_BUILD_PLATFORM=9
	include make-bsd.mk
endif

ifeq ($(OSTYPE),NetBSD)
	include make-netbsd.mk
endif

drone:
	@echo "rendering .drone.yaml from .drone.jsonnet"
	drone jsonnet --format --stream

=== tcp-proxy/Makefile ===
CXX=$(shell which clang++ g++ c++ 2>/dev/null | head -n 1)

all:
	$(CXX) -O3 -fno-rtti -o tcp-proxy tcp-proxy.cpp

clean:
	rm -f *.o tcp-proxy *.dSYM

=== ext/libpqxx-7.7.3/include/CMakeLists.txt ===
# ##############################################################################
# AUTOMATICALLY GENERATED FILE -- DO NOT EDIT.
#
# This file is generated automatically by libpqxx's template2mak.py script, and
# will be rewritten from time to time.
#
# If you modify this file, chances are your modifications will be lost.
#
# The template2mak.py script should be available in the tools directory of the
# libpqxx source archive.
#
# Generated from template './include/CMakeLists.txt.template'.
# ##############################################################################
install(
    DIRECTORY pqxx "${PROJECT_BINARY_DIR}/include/pqxx"
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    FILES_MATCHING
    # For each X.hxx, install both X.hxx itself and plain X.
    PATTERN *.hxx
    # TODO: Is there any way to do this with CMake's globbing?
    PATTERN array
    PATTERN binarystring
    PATTERN blob
    PATTERN composite
    PATTERN connection
    PATTERN cursor
    PATTERN dbtransaction
    PATTERN errorhandler
    PATTERN except
    PATTERN field
    PATTERN isolation
    PATTERN largeobject
    PATTERN nontransaction
    PATTERN notification
    PATTERN params
    PATTERN pipeline
    PATTERN prepared_statement
    PATTERN range
    PATTERN result
    PATTERN robusttransaction
    PATTERN row
    PATTERN separated_list
    PATTERN strconv
    PATTERN stream_from
    PATTERN stream_to
    PATTERN subtransaction
    PATTERN time
    PATTERN transaction
    PATTERN transaction_base
    PATTERN transaction_focus
    PATTERN transactor
    PATTERN types
    PATTERN util
    PATTERN version
    PATTERN zview
    PATTERN internal/*.hxx
    PATTERN internal/gates/*.hxx
    PATTERN config-public-compiler.h
    PATTERN pqxx
    PATTERN doc EXCLUDE
)

install(
    DIRECTORY pqxx/doc/
    DESTINATION ${CMAKE_INSTALL_DOCDIR}
    FILES_MATCHING
    PATTERN *.md
)

=== ext/libpqxx-7.7.3/src/CMakeLists.txt ===
if(NOT PostgreSQL_FOUND)
    if(POLICY CMP0074)
        cmake_policy(PUSH)
        # CMP0074 is `OLD` by `cmake_minimum_required(VERSION 3.7)`,
        # sets `NEW` to enable support CMake variable `PostgreSQL_ROOT`.
        cmake_policy(SET CMP0074 NEW)
    endif()

    find_package(PostgreSQL REQUIRED)

    if(POLICY CMP0074)
        cmake_policy(POP)
    endif()
endif()

# When setting up the include paths, mention the binary tree's include
# directory *before* the source tree's include directory.  If the source tree
# happens to contain autoconf-generated config headers, we should still prefer
# the ones in the binary tree.
macro(library_target_setup tgt)
    target_include_directories(${tgt}
    	PUBLIC
    		$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
    		$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    		$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    	PRIVATE
    		${PostgreSQL_INCLUDE_DIRS}
    )
    target_link_libraries(${tgt} PRIVATE ${PostgreSQL_LIBRARIES})
    if(WIN32)
        target_link_libraries(${tgt} PUBLIC wsock32 ws2_32)
    endif()
    install(TARGETS ${tgt} EXPORT libpqxx-targets
    	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )

    get_target_property(name ${tgt} NAME)
    get_target_property(output_name ${tgt} OUTPUT_NAME)
    if(NOT CMAKE_HOST_WIN32)
        # Create library symlink
        get_target_property(target_type ${tgt} TYPE)
        if(target_type STREQUAL "SHARED_LIBRARY")
            set(library_prefix ${CMAKE_SHARED_LIBRARY_PREFIX})
            set(library_suffix ${CMAKE_SHARED_LIBRARY_SUFFIX})
        elseif(target_type STREQUAL "STATIC_LIBRARY")
            set(library_prefix ${CMAKE_STATIC_LIBRARY_PREFIX})
            set(library_suffix ${CMAKE_STATIC_LIBRARY_SUFFIX})
        endif()

        list(APPEND noop_command "${CMAKE_COMMAND}" "-E" "true")
        list(APPEND create_symlink_command "${CMAKE_COMMAND}" "-E" "create_symlink" "${library_prefix}${output_name}${library_suffix}" "${library_prefix}${name}${library_suffix}")
        # `add_custom_command()` does nothing if the `OUTPUT_NAME` and `NAME`
        # properties are equal, otherwise it creates library symlink.
        add_custom_command(TARGET ${tgt} POST_BUILD
            COMMAND "$<IF:$<STREQUAL:${name},${output_name}>,${noop_command},${create_symlink_command}>"
            VERBATIM
            COMMAND_EXPAND_LISTS
        )
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${library_prefix}${name}${library_suffix}
            DESTINATION ${CMAKE_INSTALL_LIBDIR}
        )
    endif()
endmacro()

file(GLOB CXX_SOURCES *.cxx)

add_library(pqxx ${CXX_SOURCES})

get_target_property(pqxx_target_type pqxx TYPE)
if(pqxx_target_type STREQUAL "SHARED_LIBRARY")
    target_compile_definitions(pqxx PUBLIC PQXX_SHARED)
endif()

set_target_properties(
    pqxx PROPERTIES
    OUTPUT_NAME $<IF:$<PLATFORM_ID:Windows>,pqxx,pqxx-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}>
)
library_target_setup(pqxx)

# install pkg-config file
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
set(VERSION ${PROJECT_VERSION})
configure_file(${PROJECT_SOURCE_DIR}/libpqxx.pc.in ${PROJECT_BINARY_DIR}/libpqxx.pc)
install(FILES ${PROJECT_BINARY_DIR}/libpqxx.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== attic/historic/anode/libspark/Makefile ===
SYSNAME:=${shell uname}
SYSNAME!=uname
include ../config.mk.${SYSNAME}

LIBSPARK_OBJS=

all: libspark

libspark: $(LIBSPARK_OBJS)
	ar rcs libspark.a $(LIBSPARK_OBJS)
	ranlib libspark.a

clean: force
	rm -f *.a *.so *.dylib *.dll *.lib *.exe *.o

force: ;

=== attic/historic/anode/libanode/tests/Makefile ===
all: force clean anode-utils-test anode-zone-test aes-test ec-test

aes-test:
	gcc -Wall -O6 -ftree-vectorize -std=c99 -o aes-test aes-test.c ../aes_digest.c -lcrypto

http_client-test:
	gcc -O0 -g -std=c99 -o http_client-test http_client-test.c ../anode-utils.c ../misc.c ../http_client.c ../dictionary.c ../iptransport.c ../anode-transport.c -lcrypto

anode-utils-test:
	gcc -O0 -g -std=c99 -o anode-utils-test anode-utils-test.c ../anode-utils.c ../misc.c

ec-test:
	gcc -O0 -g -std=c99 -o ec-test ec-test.c ../impl/ec.c ../impl/misc.c -lcrypto

anode-zone-test:
	gcc -O0 -g -std=c99 -o anode-zone-test anode-zone-test.c ../anode-zone.c ../http_client.c ../dictionary.c ../misc.c ../anode-transport.c ../iptransport.c ../environment.c

system_transport-test:
	gcc -O0 -g -std=c99 -o system_transport-test system_transport-test.c ../system_transport.c ../network_address.c ../address.c ../aes_digest.c ../impl/misc.c ../impl/thread.c ../impl/dns_txt.c ../impl/aes.c -lresolv -lcrypto

clean:	force
	rm -rf *.dSYM
	rm -f http_client-test anode-utils-test anode-zone-test ec-test aes-test system_transport-test

force: ;

=== debian/changelog ===
zerotier-one (1.10.3) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Sat, 21 Jan 2023 01:00:00 -0700

zerotier-one (1.10.2) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Thu, 13 Oct 2022 01:00:00 -0700

zerotier-one (1.10.1) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 27 Jun 2022 01:00:00 -0700

zerotier-one (1.10.0) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 03 Jun 2022 01:00:00 -0700

zerotier-one (1.8.10) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 10 May 2022 01:00:00 -0700

zerotier-one (1.8.9) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 25 Apr 2022 01:00:00 -0700

zerotier-one (1.8.8) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 11 Apr 2022 01:00:00 -0700

zerotier-one (1.8.7) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 21 Mar 2022 01:00:00 -0700

zerotier-one (1.8.6) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 07 Mar 2022 01:00:00 -0700

zerotier-one (1.8.5) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 17 Dec 2021 01:00:00 -0700

zerotier-one (1.8.4) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 23 Nov 2021 01:00:00 -0700

zerotier-one (1.8.3) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 15 Nov 2021 01:00:00 -0700

zerotier-one (1.8.2) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 08 Nov 2021 01:00:00 -0700

zerotier-one (1.8.1) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Wed, 20 Oct 2021 01:00:00 -0700

zerotier-one (1.8.0) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Wed, 15 Sep 2021 01:00:00 -0700

zerotier-one (1.6.6) unstable; urgency=medium

  * Backport endpoint mitigation against address collision attack.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 21 Sep 2021 01:00:00 -0700

zerotier-one (1.6.5) unstable; urgency=medium

  * Fix path filtering bug that could cause "software laser" effect.
  * Fix printf overflow in CLI (not exploitable or security related)
  * Fix Windows device enumeration issue.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 13 Apr 2021 01:00:00 -0700

zerotier-one (1.6.4) unstable; urgency=medium

  * REALLY fix a problem causing nodes to go into a "coma" with some network configurations.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 15 Feb 2021 01:00:00 -0700

zerotier-one (1.6.3-1) unstable; urgency=medium

  * Fix a problem causing nodes to go into a "coma" with some network configurations.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 02 Feb 2021 01:00:00 -0700

zerotier-one (1.6.2-2) unstable; urgency=medium

  * This is a minor update to the 1.6.2 package to address issues with
    running on ARMv6 CPUs like the Raspberry Pi Zero and original v1 Pi.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 31 Nov 2020 01:00:00 -0700

zerotier-one (1.6.2) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 30 Nov 2020 01:00:00 -0700

zerotier-one (1.6.1) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Tue, 24 Nov 2020 01:00:00 -0700

zerotier-one (1.6.0) unstable; urgency=medium

  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Thu, 19 Nov 2020 01:00:00 -0700

zerotier-one (1.5.0) unstable; urgency=medium

  * Version 1.5.0 is actually 1.6.0-beta1
  * See RELEASE-NOTES.md for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Mon, 05 Aug 2020 01:00:00 -0700

zerotier-one (1.4.6) unstable; urgency=medium

  * Update default root server list
  * Fix build flags on "armhf" (32-bit ARM) platforms for better
    compatibility with Pi Zero and other devices.
  * Fix license text in one.cpp.
  * Add a clarification to LICENSE.txt.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 30 Aug 2019 01:00:00 -0700

zerotier-one (1.4.4) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.
  * License changed to BSL 1.1

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Fri, 23 Aug 2019 01:00:00 -0700

zerotier-one (1.4.2-2) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.
  * This is a new build that fixes a binary build issue with containers and SELinux

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Thu, 04 Aug 2019 01:00:00 -0700

zerotier-one (1.4.2) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Thu, 04 Aug 2019 01:00:00 -0700

zerotier-one (1.4.0) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.

 -- Adam Ierymenko <adam.ierymenko@zerotier.com>  Thu, 29 Jul 2019 01:00:00 -0700

zerotier-one (1.2.12) unstable; urgency=medium

  * See https://github.com/zerotier/ZeroTierOne for release notes.



=== debian/control ===
Source: zerotier-one
Maintainer: Adam Ierymenko <adam.ierymenko@zerotier.com>
Section: net
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Vcs-Git: git://github.com/zerotier/ZeroTierOne
Vcs-Browser: https://github.com/zerotier/ZeroTierOne
Homepage: https://www.zerotier.com/

Package: zerotier-one
Architecture: any
Depends:  iproute2, adduser, libstdc++6 (>= 5), openssl
Homepage: https://www.zerotier.com/
Description: ZeroTier network virtualization service
 ZeroTier One lets you join ZeroTier virtual networks and
 have them appear as tun/tap ports on your system. See
 https://www.zerotier.com/ for instructions and
 documentation.
